change.func = function(landscape, ...){
  
  source('code/change.R')
  source('code/index_list.R')
  
  change.parameters = list(
    list(class = 4,
         background = 3,
         rate = .01,
         steps = 10,
         change.function = change[[1]]),
    list(class = 4,
         background = 3,
         rate = .05,
         steps = 10,
         change.function = change[[1]]),
    list(class = 2,
         background = c(0, 3, 4),
         rate = .05,
         steps = 10,
         change.function = change[[2]]),
    list(class = 2,
         background = c(0, 3, 4),
         rate = .1,
         steps = 10,
         change.function = change[[2]])
  )
  
  changed = lapply(index_list(change.parameters), function(i){
    change.parameters[[i]]$change.function(landscape, change.parameters[[i]], ...)
  })
  
  return(changed)
}