layer = function(f, q, size, scale, seed, i){
  
  source('code/noise.R')
  
  set.seed(seed * i)
  
  N = noise(dim = rep(size*scale,2), frequency = f/scale, lacunarity = 3, octaves = ifelse(i==2, 5, 3))
  
  source('code/classify.R')
  
  C = classify(N, q)
  
  return(list(
    N, 
    C
  ))
  
}