road = function(landscape, i, size, scale, seed){
  
  require(terra)
  require(sf)
  require(dplyr)
  
  #f = noise.frequency[[i]]
  #N = noise(f*(size/100), size = 100, scale = 1, seed=i)
  #Q = noise.quantile[[i]]
  #classified.noise = matrix(as.integer(N < as.numeric(quantile(N, c(Q)))), 100, 100)
  classified.noise = (landscape == i) * 1
  
  source('code/network.R')
  
  l = network(classified.noise, size, scale, seed)
  
  l = l %>%
    rast %>%
    #disagg(size/100) %>%
    #rescale(size/100) %>%
    as.matrix(T)
  
  b = ((scale * mmu - 1) / 2)
  
  if (b > 0){
    l = l %>%
      rast %>%
      subst(0, NaN) %>%
      buffer(b) %>%
      as.matrix(T)
  }
  
  
  #scale.factor = (mmu) + ((((100*scale) %/% 200) * ((2^(mmu + 1)) - 1)))
  
  
  
  #if (scale.factor > 0){
    
    #l[l==0] = NaN
    
    #l = l %>%
      #rast %>%
      #buffer(scale.factor) %>%
      #subst(NaN, 0) %>%
      #as.matrix(T)
  #}
  
  landscape[l==1] = max(landscape) + 1
  
  return(landscape)
}
