vectr = function(classified.noise, class=1){
  
  require(terra)
  require(dplyr)
  require(sf)
  
  classified.noise = classified.noise %>%
    rast %>%
    as.polygons %>%
    st_as_sf %>%
    filter(lyr.1 == class) %>% 
    st_cast('POLYGON')
  
  return(classified.noise)
}