croft = function(landscape, i, size, scale, seed){
  
  require(ambient)
  require(sf)
  require(terra)
  
  fields = (landscape == i) * 1
  
  
  #f = runif(1, .025, .1)
  set.seed(seed)
  
  source('code/noise.R')
  n = noise(
    frequency = runif(1, .025, .1)/scale, # fix this
    dim = rep(nrow(fields), 2),
    octaves = 2,
    lacunarity = 1,
    pertubation = 'normal'
  )
  
  #n %>% rast %>% plot
  
  crofts = matrix(as.integer(n > as.numeric(quantile(n, c(.425))) & n < as.numeric(quantile(n, c(.575)))),nrow(n), nrow(n)) %>%
    rast %>%
    as.polygons %>%
    st_as_sf
  
  crofts = crofts[2,] %>%
    st_cast('POLYGON')
  
  
  source('code/rastr.R')
  
  #crofts = rastr(crofts[sample(nrow(crofts), nrow(crofts)),], nrow(n))
  crofts = rastr(crofts, nrow(n))
  
  #crofts %>% rast %>% plot
  # crofts = crofts %>%
  #   rast %>%
  #   disagg(size/(100*size.f)) %>%
  #   rescale(size/(100*size.f)) %>%
  #   as.matrix(T)
  
  c = matrix(0, nrow(n), nrow(n))
  
  c[crofts == 1 & fields == 1] = 1 
  
  #plot(rast(c))
  
  landscape[c == 1] = max(landscape) + 1
  
  return(landscape)
}