landscape = function(parameters, random.parameters, seed){
  
  #seed = landscape.parameters$seed
  size = parameters$size
  scale = parameters$scale
  
  #feature.functions = landscape.parameters$feature.functions #list
  #class.order = landscape.parameters$class.order
  # noise.frequency and noise.quantile have to be the same length
  
  feature.parameters = parameters$feature.parameters
  #seed = 1
  set.seed(seed)
  
  landscape.dimension = size * scale
  
  noise.list = list()
  classify.list = list()
  
  source('code/index_list.R')
  
  #random.parameters = parameters$random.parameters[[1]]
  #x = 1
  layer.list = lapply(index_list(random.parameters), function(x){
    random.parameters[[x]]$func.parameters$seed = seed
    random.parameters[[x]]$func.parameters$size = size
    random.parameters[[x]]$func.parameters$scale = scale
    random.parameters[[x]]$func.parameters$i = x
    
    N = do.call(random.parameters[[x]]$func,
                random.parameters[[x]]$func.parameters
                )
    
    return(N)
  }
  )
  
  source('code/combine.R')
  landscape = combine(layer.list)
  
  source('code/features.R')
  landscape = features(landscape, feature.parameters, size, scale, seed)
  
  return(list(landscape = landscape,
              layer.list = layer.list
              )
  )
  
  # metrics = lapply(changed, function(x){
  #   lapply(x, function(y){
  #     calculate.func(y)
  #   })
  # })
  # 
  # saveRDS(list('landscapes' = changed, 
  #              'metrics' = metrics,
  #              'parameters' = list(random.parameters, seed)
  #              ),
  #         paste0('data/', time, '/var', x, '/landscape', seed, '.Rdata')
  # )
  # 
  # return(list(
  #   'landscapes' = changed,
  #   'metrics' = metrics
  #   )
  #   )
}

