line = function(pts, size){
  # pts (sfc): sfc with two features
  # roi (): region of interest (clip)
  
  # BIG FIX UP
  
  require(dplyr)
  require(sf)
  
  u = pts %>%
    st_centroid %>%
    st_coordinates
  
  x = u[,1]
  y = u[,2]
  
  l = as.numeric((lm(y~x))$coefficients)
  intercept = l[1]
  slope = l[2]
  
  l = st_linestring(rbind(c(0, intercept),c(size, intercept+slope*size))) %>% 
    st_intersection(rast(matrix(0, size, size)) %>% st_bbox %>% st_as_sfc) %>%
    st_sfc %>% st_sf
  
  return(l)
}